%define build_vcd 1
%{?_with_vcd: %{expand: %%global build_vcd 1}}
%{?_without_vcd: %{expand: %%global build_vcd 0}}

%define major 19
%define libname %mklibname cdio %{major}
%define libnamedev %mklibname -d cdio
%define isomajor 11
%define isolibname %mklibname iso9660_ %{isomajor}
%define cdioppmajor 1
%define cdiopplibname %mklibname cdio++ %{cdioppmajor}
%define isoppmajor 0
%define isopplibname %mklibname iso9660++ %{isoppmajor}
%define udfmajor 0
%define udflibname %mklibname udf %{udfmajor}

Name: libcdio
Version: 2.1.0
Release: %mkrel 1
License: GPLv3+
Group: System/Libraries
URL: http://www.gnu.org/software/libcdio/
Source: ftp://ftp.gnu.org/pub/gnu/libcdio/%{name}-%{version}.tar.xz
Summary: CD-ROM reading library
BuildRequires: lib64cddb-devel
BuildRequires: lib64popt-devel
BuildRequires: lib64ncurses-devel

%if %{build_vcd}
BuildRequires: lib64vcd-devel
%endif

%description
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.


%package apps
Summary: Example tool from %{name}
Group: Sound
Provides: libcdio0-apps
Obsoletes: libcdio0-apps

%description apps
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

This contains the program cd-info as an example application of %{name}.

%package -n %{libname}
Summary: Libraries from %{name}
Group: System/Libraries
Provides: libcdio = %{version}-%{release}

%description -n %{libname}
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

%package -n %{libnamedev}
Summary: Devel files from %{name}
Group: Development/Libraries
Requires: %{libname} = %{version}
Requires: %{isolibname} = %{version}
Requires: %{isopplibname} = %{version}
Requires: %{cdiopplibname} = %{version}
Requires: %{udflibname} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}cdio-static-devel

%description -n %{libnamedev}
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications.

%package -n %{isolibname}
Summary: Libraries from %{name}
Group: System/Libraries

%description -n %{isolibname}
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

%package -n %{cdiopplibname}
Summary: C++ library from %{name}
Group: System/Libraries

%description -n %{cdiopplibname}
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

%package -n %{isopplibname}
Summary: iso96660 C++ library from %{name}
Group: System/Libraries
Obsoletes: %{_lib}cdio++0

%description -n %{isopplibname}
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

%package -n %{udflibname}
Summary: Libraries from %{name}
Group: System/Libraries
Conflicts: %{mklibname cdio_cdda 0}

%description -n %{udflibname}
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

%prep
%setup -q

%build
%configure2_5x \
--without-versioned-libs \
%if ! %{build_vcd}
--disable-vcd-info \
%endif
--disable-static

make

%install
rm -rf %buildroot
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%files apps
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libcdio.so.%{major}*

%files -n %{isolibname}
%{_libdir}/libiso9660.so.%{isomajor}*

%files -n %{udflibname}
%{_libdir}/libudf.so.%{udfmajor}*

%files -n %{libnamedev}
%{_includedir}/cdio
%{_includedir}/cdio++/
%{_infodir}/libcdio.info*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libcdio.pc
%{_libdir}/pkgconfig/libcdio++.pc
%{_libdir}/pkgconfig/libiso9660.pc
%{_libdir}/pkgconfig/libiso9660++.pc
%{_libdir}/pkgconfig/libudf.pc

%files -n %{cdiopplibname}
%{_libdir}/libcdio++.so.%{cdioppmajor}*

%files -n %{isopplibname}
%{_libdir}/libiso9660++.so.%{isoppmajor}*


%changelog
* Sun Jun 27 2021 tex - 2.1.0-1pclos2021
- 2.1.0
